#pragma once
#include <QTreeWidget>
#include <QWidget>
#include <list>
#include "metavis.h"
#include "RunData.h"

class FileTreeItem : public QTreeWidgetItem{

private:
	RunData* rundata = nullptr;
	std::list<RunData>* list;

public:
	FileTreeItem(QTreeWidget* parent, const QStringList& strings, RunData* rundata, std::list<RunData>* list , int type = Type);
	void remove();
};

class ProjectManager : public QWidget
{
	Q_OBJECT

public:
	ProjectManager(QWidget *parent, metavis* owner);
	~ProjectManager();
private:
	metavis* owner;
	QTreeWidget* treeWidget;
	QMenu* filesMenu;
	QMenu* metalogFileMenu;
	QMenu* graphMenu;




	enum Types{ LogManger = 1001, LogFile, GraphManger, Graph, Project};
private slots:
	void prepareMenu(const QPoint& pos);
};
